package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CheckNumCompany;
import com.jpsoft.shinestar.modules.base.entity.CompanyInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-3-27 10:32
 */
public interface CheckNumCompanyService {
    CheckNumCompany get(Long id);
    int insert(CheckNumCompany model);
    int update(CheckNumCompany model);
    int delete(Long id);
    List<CheckNumCompany> list();
    Page<CheckNumCompany> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    CheckNumCompany findByCompanyIdAndRecordTime(String companyId, String recordTime);

    Integer getDayCheckNum(String recordTime);

    Integer getDayCheckNumByCompanyList(String recordTime, List<CompanyInfo> list);

    List<CheckNumCompany> findByRecordTime(String recordTime);

    Integer getDayNormalNumByCompanyList(String day, List<CompanyInfo> list);

    Integer getDayAbnormalNumByCompanyList(String day, List<CompanyInfo> list);
}
